Passa al contenuto principale

HostingSslCertificateListResponse

Successful response with a list of HostingSslCertificate

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items returned by the operation

  • Array [
  • hosting_ssl_certificate_idintegerrequired
    hosting_idintegerrequired

    Id of the hosting (GET /api/v3/hostings/{hosting_id})

    ssl_certificate_idinteger | nullnullablerequired

    Id of the purchased SSL certificate (GET /api/v3/ssl-certificates/{ssl_certificate_id}); null for the other certificates

    lets_encrypt_idinteger | nullnullablerequired

    Id of the Let's Encrypt certificate; null for the other certificates

    external_certificate_idinteger | nullnullablerequired

    Id of the external certificate, whose keys were uploaded by the customer; null for the other certificates

    cn_typestring | nullnullablerequired

    Type of the certificate: NORMAL, or WILDCARD for a wildcard certificate

    installation_datedate-timenullablerequired

    When the certificate was installed; null until the installation completes

    https_rewriteboolean | nullnullablerequired

    Whether the visits over HTTP are redirected to HTTPS (301)

    destination_typestring | nullnullablerequired

    Where the certificate is installed: web for the website, mail for the mail servers

  • ]
  • metarequired

    Always null: only the paginated lists have a meta

    Constant value: null
    HostingSslCertificateListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "hosting_ssl_certificate_id": 0,
    "hosting_id": 0,
    "ssl_certificate_id": 0,
    "lets_encrypt_id": 0,
    "external_certificate_id": 0,
    "cn_type": "string",
    "installation_date": "2024-07-29T15:51:28.071Z",
    "https_rewrite": true,
    "destination_type": "string"
    }
    ]
    }